>From 2a115f7b62dbe3f98ef2c011f3283a41af86fd15 Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig@2ndquadrant.com>
Date: Fri, 29 Aug 2014 10:00:40 +0800
Subject: [PATCH] Allow distdir to be overridden on the make command line

This is useful for preparing dist tarballs for patches with
useful suffixes, such as:

    distdir='postgresql-$(VERSION)'-git$(git rev-parse --short HEAD)
---
 GNUmakefile.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/GNUmakefile.in b/GNUmakefile.in
index 69e0824..b469e3a 100644
--- a/GNUmakefile.in
+++ b/GNUmakefile.in
@@ -76,7 +76,7 @@ GNUmakefile: GNUmakefile.in $(top_builddir)/config.status
 
 ##########################################################################
 
-distdir	= postgresql-$(VERSION)
+distdir	?= postgresql-$(VERSION)
 dummy	= =install=
 garbage = =*  "#"*  ."#"*  *~*  *.orig  *.rej  core  postgresql-*
 
-- 
1.9.3

